%define _gitver	ff7641193a
%define rel 0.%{_gitver}.9

Name:		novacom-client
Version:	1.1.0
Release:	%mkrel %{rel}
Summary:	Client for utility to connect to WebOS devices
Group:		Development/Tools
License:	Apache License
URL:		https://github.com/openwebos/novacom
# git clone https://github.com/openwebos/novacom.git
# cd novacom
# git archive --prefix=novacom-git-ff7641193a/ --format tar.gz -o ../novacom-git-ff7641193a.tar.gz ff7641193a
Source0:	novacom-git-%{_gitver}.tar.gz
Source1:	novaterm
# This patch forces the makefile to use our CFLAGS and link properly
Patch0:		novacom-makefile-fixes.patch
Patch1:		novacom-remove-base64.patch

%description
Novacom allows you to connect to WebOS devices that are connected over USB.
You must have novacom-server installed to use it.

%package -n novacom
Summary:	Utility to connect to WebOS devices
Group:		Development/Tools
Requires:	novacom-client = %{version}-%{release}
Requires:	novacom-server

%description -n novacom
Novacom allows you to connect to WebOS devices that are connected over USB.

This package installs both the client and the server.

%prep
%setup -q -n novacom-git-%{_gitver}
%patch -P 0 -p1
%patch -P 1 -p1
# Remove bundled base64 library that's available in libtomcrypt
rm -f src/base64.c src/base64.h

%build
%make_build LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 build-novacom/novacom %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}

%files
%doc README.md
%{_bindir}/novacom
%{_bindir}/novaterm

%files -n novacom
%doc README.md



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.1.0-0.ff7641193a.9.mga10
+ Revision: 2127950
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 1.1.0-0.ff7641193a.8.mga9
+ Revision: 1792201
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.1.0-0.ff7641193a.7.mga8
+ Revision: 1515569
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-0.ff7641193a.6.mga7
+ Revision: 1299791
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.1.0-0.ff7641193a.5.mga6
+ Revision: 933217
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-0.ff7641193a.4.mga5
+ Revision: 749533
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-0.ff7641193a.3.mga5
+ Revision: 682925
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-0.ff7641193a.2.mga4
+ Revision: 523310
- Mageia 4 Mass Rebuild

* Sat Apr 06 2013 blino <blino> 1.1.0-0.ff7641193a.1.mga3
+ Revision: 408620
- use Mageia-style release
- fix license tag
- use buildroot macro
- remove clean section and buildroot
- use make macro
- simplify description
- imported package novacom-client

